Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.structure
Class Page.Stats

    java.lang.Object
      org.apache.tapestry5.internal.structure.Page.Stats

Enclosing interface:
  Page

    public static final class Page.Stats

extends java.lang.Object

Page construction statistics for the page.

Since:
  5.3

Field Summary
`long` | `assemblyTime` Time, in milliseconds, to construct the page.
`int` | `componentCount` The total number of components in the page, including the root component.
`int` | `weight` The "weight" of the page is an arbitrary number that factors the number of components, mixins, component template elements, bindings, and other factors.

Constructor Summary
`Page.Stats(long assemblyTime, int componentCount, int weight)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assemblyTime

    public final long assemblyTime

  Time, in milliseconds, to construct the page. This includes time to construct components inside the page, as well as hooking everything together. You'll often see that the first page is expensive to construct, and later pages that use a similar mix of components are very cheap.

### componentCount

    public final int componentCount

  The total number of components in the page, including the root component. This does not include the number of mixins.

### weight

    public final int weight

  The "weight" of the page is an arbitrary number that factors the number of components, mixins, component template elements, bindings, and other factors.

Constructor Detail

### Page.Stats

    public Page.Stats(long assemblyTime,
                      int componentCount,
                      int weight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.